Bank Maintenance Window Inquiry API
Checks whether each bank is under maintenance and the maintenance window for each operation type (payment, enrollment, termination, etc.).
API Information
POST/v1/api/bank/timecheck
Content-Type
application/json; charset=UTF-8Sandbox
https://tbnpay.settlebank.co.kr/v1/api/bank/timecheckProduction
https://npay.settlebank.co.kr/v1/api/bank/timecheckRequest Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└pktDivCdAN(2)Alphanumeric, up to 2 bytes*Operation type.
Operation type.
RE: Account enrollment DE: Account termination RP: Payment RT: Payment cancellation (refund) NA: Account holder inquiry (without date of birth) NN: Account holder inquiry (with date of birth) AA: Account ownership verification AR: Remittance└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
Bank code.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(auto-generated)SHA-256 hash value.
NOTE
Signature composition
mchtId + reqDt + reqTm + bankCd + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
004Bank code.
